Bug 1474533 - m2crypto-0.21.1.pulp-13.el7sat.x86_64 conflicts with file from package m2crypto-0.21.1-17.el7.x86_64 [NEEDINFO]
m2crypto-0.21.1.pulp-13.el7sat.x86_64 conflicts with file from package m2cryp...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.0.3
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 18:01 EDT by Gonéri Le Bouder
Modified: 2017-09-05 17:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-05 17:05:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ttereshc: needinfo? (pcreech)


Attachments (Terms of Use)

  None (edit)
Description Gonéri Le Bouder 2017-07-24 18:01:18 EDT
Description of problem:

I try to update a RHEL 7.2 to 7.4 and the yum update fails because of m2crypto:

[root@directorvm stack]# yum install -y m2crypto-0.21.1.pulp
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package m2crypto.x86_64 0:0.21.1-17.el7 will be updated
---> Package m2crypto.x86_64 0:0.21.1.pulp-13.el7sat will be an update
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================================================================================================
 Package                                         Arch                                          Version                                                         Repository                                                                Size
==============================================================================================================================================================================================================================================
Updating:
 m2crypto                                        x86_64                                        0.21.1.pulp-13.el7sat                                           rhel-7-server-rh-common-beta-rpms                                        489 k

Transaction Summary
==============================================================================================================================================================================================================================================
Upgrade  1 Package

Total size: 489 k
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
  file /usr/lib64/python2.7/site-packages/M2Crypto-0.21.1-py2.7.egg-info from install of m2crypto-0.21.1.pulp-13.el7sat.x86_64 conflicts with file from package m2crypto-0.21.1-17.el7.x86_64

Error Summary
-------------
Comment 2 Gonéri Le Bouder 2017-07-24 18:11:13 EDT
Looks similar to BZ1129307.
Comment 3 Bryan Kearney 2017-09-05 17:05:40 EDT
This was fixed in satellite 6.1.

Note You need to log in before you can comment on or make changes to this bug.